// TObject.h: interface for the TObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TOBJECT_H__8C892CE4_6CEA_11D6_8615_0000E87713C4__INCLUDED_)
#define AFX_TOBJECT_H__8C892CE4_6CEA_11D6_8615_0000E87713C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TElevator.h"
#include "TButton.h"
#include "TBaseObject.h"

class TObject : public TBaseObject
{
public:
	TObject();
	virtual ~TObject();

   void draw( CDialog *wnd, CPaintDC *dc );

   TButton   button;

	void step();

   void reset();

// интерфейс управления объекта
   TElevator elev;
};

extern TObject object;

#endif // !defined(AFX_TOBJECT_H__8C892CE4_6CEA_11D6_8615_0000E87713C4__INCLUDED_)
